# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('bottin', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(serialize=False, auto_created=True, primary_key=True, verbose_name='ID')),
                ('name', models.CharField(verbose_name='Name', max_length=150)),
                ('description', models.TextField(verbose_name='Description', blank=True)),
                ('slug', models.SlugField(verbose_name='slug', max_length=256, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Theme',
            fields=[
                ('id', models.AutoField(serialize=False, auto_created=True, primary_key=True, verbose_name='ID')),
                ('name', models.CharField(verbose_name='Name', max_length=150)),
                ('description', models.TextField(verbose_name='Description', blank=True)),
                ('slug', models.SlugField(verbose_name='slug', max_length=256, unique=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='entityprofile',
            name='activity',
        ),
        migrations.RemoveField(
            model_name='entityprofile',
            name='theme',
        ),
        migrations.AddField(
            model_name='entityprofile',
            name='activity',
            field=models.ManyToManyField(to='bottin.Activity'),
        ),
        migrations.AddField(
            model_name='entityprofile',
            name='theme',
            field=models.ManyToManyField(to='bottin.Theme'),
        ),
    ]
